
Smart Proxy - Bug #6286

Subnets not found in dhcpd.conf

06/19/2014 12:35 PM - Mike McRill

Status: Resolved   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrading to 1.5.1, IP auto-suggest isn't working.  I'm seeing these errors in the proxy.log when I go to the network tab and try

auto-suggest on various networks:

E, [2014-06-19T07:30:31.713949 #9762] ERROR -- : Subnet 1.1.17.0 not found

D, [2014-06-19T07:30:32.266689 #9762] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2014-06-19T07:30:32.266937 #9762] DEBUG -- : Loading subnets for 127.0.0.1

E, [2014-06-19T07:30:32.267253 #9762] ERROR -- : Subnet 1.1.17.0 not found

D, [2014-06-19T07:30:33.375446 #9762] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2014-06-19T07:30:33.375682 #9762] DEBUG -- : Loading subnets for 127.0.0.1

E, [2014-06-19T07:30:33.376024 #9762] ERROR -- : Subnet 1.1.12.0 not found

D, [2014-06-19T07:30:34.372224 #9762] DEBUG -- : Reading config file /etc/dhcp/dhcpd.conf

D, [2014-06-19T07:30:34.372456 #9762] DEBUG -- : Loading subnets for 127.0.0.1

History

#1 - 06/19/2014 12:36 PM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to DHCP

#2 - 06/19/2014 02:06 PM - Greg Sutcliffe

- Status changed from New to Need more information

I can't replicate this, my proxy is suggesting IPs just fine:

172.20.10.20 - - [19/Jun/2014:15:05:02 BST] "GET /dhcp/172.20.10.0/unused_ip?from=172.20.10.50&to=172.20.10.199 HTTP/1.1" 200 21

- -> /dhcp/172.20.10.0/unused_ip?from=172.20.10.50&to=172.20.10.199

D, [2014-06-19T15:02:43.346098 #8005] DEBUG -- : Added 172.20.10.141 / 24:77:03:7d:06:e4 to 172.20.10.0/255.255.255.0

Could you attach your dhcpd.conf and, if possible, run the proxy in the foreground to catch the requests coming from foreman?

#3 - 06/19/2014 03:19 PM - Mike McRill

I resolved the issue by commenting out this line in the foreman-proxy settings.yml:

1. :dhcp_subnets: [1.1.17.0/255.255.255.255.0]

For some reason that was uncommented, and I don't remember filling that in at all.  I run an ISC DHCP server, so I would have no use for this option.

#4 - 06/19/2014 03:28 PM - Dominic Cleal

- Status changed from Need more information to Resolved

Ahh, so in 1.5.1 we merged #5712 which made the ISC DHCP backend obey the same option as the AD backend to fix timeout issues there.
